<?php

include 'load.php';

if(isset($_POST['save']))

{		

		$ptno = $_POST['ptno'];
		$ptype = $_POST['ptype'];
		$ptname = $_POST['ptname'];
		$nicno = $_POST['nicno'];
		$phonenumber = $_POST['phonenumber'];
		$address = $_POST['address'];
		$age = $_POST['age'];
		$status = $_POST['status'];
		
		$imgFile = $_FILES['user_image']['name'];
		$tmp_dir = $_FILES['user_image']['tmp_name'];
		$imgSize = $_FILES['user_image']['size'];
		
		if(empty($ptype)){
			$errMSG = "Please Select Patient Type.";
		}
		else if(empty($ptname)){
			$errMSG = "Please Enter Patient Name.";
		}
		else if(empty($nicno)){
			$errMSG = "Please Enter Nic Number.";
		}
		else if(empty($phonenumber)){
			$errMSG = "Please Enter Phone Number.";
		}
		else if(empty($address)){
			$errMSG = "Please Enter Address.";
		}
		else if(empty($age)){
			$errMSG = "Please Enter Age.";
		}
		else if(empty($status)){
			$errMSG = "Please Select Active Or Deactive.";
		}
		{
			$upload_dir = 'images/patient/'; // upload directory
	
			$imgExt = strtolower(pathinfo($imgFile,PATHINFO_EXTENSION)); // get image extension
		
			// valid image extensions
			$valid_extensions = array('jpeg', 'jpg', 'png', 'gif' ,'docx' , 'pdf' , 'video' , 'mp3' ); // valid extensions
		
			// rename uploading image
			$userpic = rand(1,1000000).".".$imgExt;
				
			// allow valid image file formats
			if(in_array($imgExt, $valid_extensions)){			
				// investck file size '100MB'
				if($imgSize < 100000000)				{
					move_uploaded_file($tmp_dir,$upload_dir.$userpic);
				}
				else{
					$errMSG = "Sorry, your file is too large.";
				}
			}
			else{
				$errMSG = "Sorry, only JPG, JPEG, PNG & GIF , DOCX & PDF files are allowed.";		
			}
		}
		// if no error occured, continue ....

		if(!isset($errMSG))

		{

			$stmt = $DB_con->prepare('INSERT INTO mobilepatient(ptno,ptype,ptname,nicno,phonenumber,address,age,profile_picture,status) VALUES(:ptno,:ptype,:ptname,:nicno,:phonenumber,:address,:age,:upic,:status)');
			$stmt->bindParam(':ptno',$ptno);
			$stmt->bindParam(':ptype',$ptype);
			$stmt->bindParam(':ptname',$ptname);
			$stmt->bindParam(':nicno',$nicno);
			$stmt->bindParam(':phonenumber',$phonenumber);
			$stmt->bindParam(':address',$address);
			$stmt->bindParam(':age',$age);
			$stmt->bindParam(':upic',$userpic);
			$stmt->bindParam(':status',$status);
			if($stmt->execute())

			{

				$successMSG = "Successfully! Add Your Patient....";

				header("refresh:2;patientlist.php"); // redirects image view page after 5 seconds.

			}

			else

			{

				$errMSG = "error while inserting....";

			}

		}

	}

?>


<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Add Patient | Payroll | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper cardhead">
<div class="content container-fluid">
<div class="page-header">
<div class="page-title">
<h4>Add Patient</h4>
<h6>Create new Patient</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
									
									<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Error Alerts</h6>
											<div class="text-white"> <?php echo $errMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}
	
									else if(isset($successMSG)){

									?>
									
									<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Success Alerts</h6>
											<div class="text-white"><?php echo $successMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}

									?>	

<div class="row">
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Patient Number</label>
<?php
$patientid = '';
$ptno = '';
$stmt = $DB_con->prepare('SELECT IFNULL(MAX(paid)+1,1) AS paid FROM `mobilepatient`');								
$stmt->execute();								
while($row=$stmt->fetch(PDO::FETCH_ASSOC)){
extract($row);			
$patientid = $row['paid'];
$ptno = "0000$patientid";
}
?>
<input type="text" name="ptno" class="form-control" placeholder="Enter Patient Number" value="<?php echo $ptno; ?>" readonly>
</div>
</div>

<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Patient Type</label>
<select class="select" name="ptype" required>
<?php 
if($userrole == "1"){
?>
<option value="Patient">Patient</option>
<option value="Pharmacy">Pharmacy</option>
<option value="mobile">mobile</option>
<?php 
}else if($userrole == "2"){
?>
<option value="Patient">Patient</option>
<option value="Pharmacy">Pharmacy</option>
<option value="mobile">mobile</option>
<?php 
}else if($userrole == "7"){
?>
<option value="mobile">mobile</option>
<?php 
}else if($userrole == "5"){
?>
<option value="Pharmacy">Pharmacy</option>
<?php 
}else{
?>
<option value="Patient">Patient</option>
<?php 
}
?>
</select>
</div>
</div>
<div class="col-lg-6 col-sm-6 col-12">
<div class="form-group">
<label>Patient Name</label>
<input type="text" name="ptname" class="form-control" id="inputptname" placeholder="Enter Patient Name">
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Nic Number</label>
<input type="text" name="nicno" class="form-control" id="inputnicno" placeholder="Enter Nic Number">
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Phone Number</label>
<input type="text" name="phonenumber" class="form-control" id="inputphonenumber" placeholder="Enter Phone Number">
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Address</label>
<input type="text" name="address" class="form-control" id="inputaddress" placeholder="Enter Address">
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Age</label>
<input type="text" name="age" class="form-control" id="inputage" placeholder="Enter Age">
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="select" name="status" required>
<option value="1">Active</option>
<option value="0">Deactive</option>
</select>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<div class="form-group">
<label>Profile Picture</label>
<label for="user_image"><img src="assets/img/empty.png" id="yourImgTag" class="pro_pick" style="width:200px;height:200px;"></label>
												<input type="file" name="user_image" id="user_image" hidden="yes" onChange="dis_name();">
												<script>
												function dis_name(){
												var input = document.getElementById("user_image");
												var fReader = new FileReader();
												fReader.readAsDataURL(input.files[0]);
												fReader.onloadend = function(event){
												var img = document.getElementById("yourImgTag");
												img.src = event.target.result;
												}
												}
												</script>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<a href="doctorslist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="save" class="btn btn-submit me-2">Save</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>

<?php
require_once 'footerjs.php';
?>
</body>
</html>